#pragma startup one 10
#pragma startup two 20
#pragma startup three 30
#pragma startup four 40

#pragma rundown eone 40
#pragma rundown etwo 30
#pragma rundown ethree 20
#pragma rundown efour 10

char hi[] = "hello\n";
char *bye = "goodbye\n";
char *qq=&hi;

void one()
{
	putstr("b1\n");
}
void eone()
{
	putstr("e1\n");
}
void two()
{
	putstr("b2\n");
}
void etwo()
{
	putstr("e2\n");
}
void three()
{
	putstr("b3\n");
}
void ethree()
{
	putstr("e3\n");
}
void four()
{
	putstr("b4\n");
}
void efour()
{
	putstr("e4\n");
}
void main()
{
	putstr(qq);
	putstr(bye);
	putstr("main routine\n");
}    